Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.ui.popup
Class ReminderManager

    java.lang.Object
      net.sf.borg.ui.popup.ReminderManager

All Implemented Interfaces:
  Model.Listener

Direct Known Subclasses:
  ReminderListManager, ReminderPopupManager

    public abstract class ReminderManager

extends Object
implements Model.Listener

Abstract Base class for managing reminders. A reminder manager controls the UI that shows reminder instances. It also manages a list of reminders (a model for the UI) and must check and update the model as time passes. It must also react to appointment model changes.

Field Summary
`(package private) Runnable` | `doPopupChk` runnable task that checks if we need to pop up any popups
`protected static ReminderManager` | `singleton` The singleton.

Constructor Summary
`protected` | `ReminderManager()` constructor

Method Summary
`abstract void` | `addToUI(ReminderInstance instance)` show a reminder
`static ReminderManager` | `getReminderManager()`
`abstract void` | `hideAll()` Hide all reminders
`abstract void` | `periodicUpdate()` update any visible reminders as needed - i.e.
`abstract void` | `refresh()` refresh the popup states depending on the state of the appointment model.
`void` | `remove()` stop the timer
`protected boolean` | `shouldShowUntimedTodosNow()` determine if we should show a reminder for untimed todos during this periodic update
`abstract void` | `showAll()` show all reminders

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    protected static ReminderManager singleton

  The singleton.

### doPopupChk

    final Runnable doPopupChk

  runnable task that checks if we need to pop up any popups

Constructor Detail

### ReminderManager

    protected ReminderManager()

  constructor

Method Detail

### getReminderManager

    public static ReminderManager getReminderManager()

### addToUI

    public abstract void addToUI(ReminderInstance instance)

  show a reminder

  Parameters:
    `instance` - the reminder instance

### hideAll

    public abstract void hideAll()

  Hide all reminders

### periodicUpdate

    public abstract void periodicUpdate()

  update any visible reminders as needed - i.e. to catch changes due to the passage of time. This is NOT called for model changes.

### refresh

    public abstract void refresh()

  refresh the popup states depending on the state of the appointment model. In particular, clean up any popups that should no longer be shown because of model changes.

  Specified by:
    `refresh` in interface `Model.Listener`

### remove

    public void remove()

  stop the timer

### showAll

    public abstract void showAll()

  show all reminders

### shouldShowUntimedTodosNow

    protected boolean shouldShowUntimedTodosNow()

  determine if we should show a reminder for untimed todos during this periodic update

  Returns:
    true if we should show the reminder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic